entsel mod..

Discussion in 'AutoCAD' started by C Witt, Aug 12, 2004.

  1. C Witt

    C Witt Guest

    (while (/= (cdr (assoc 0 el)) "MTEXT")
    (setq qltext (car (entsel "\nSelect text to draw leader to...")))
    (while (= qltext nil)
    (setq qltext (car (entsel "\nSelect text to draw leader to...")))
    )
    (setq EL (entget qltext))
    )

    I want to add in the option for a responce of "p" (and "p" does not mean
    previous here).. to the above lisp.. but am drawing a blank as to how..
    (proly basic)..
     
    C Witt, Aug 12, 2004
    #1
  2. C Witt

    T.Willey Guest

    (initget "P")
    (setq op1 (getkword "\nSomething like this [P]? "))

    Tim
     
    T.Willey, Aug 12, 2004
    #2
  3. C Witt

    C Witt Guest

    if all i wanted was the "p" option.. then yes that would work, but as I
    said i want to ADD the option to enter "p" to that lisp.
     
    C Witt, Aug 12, 2004
    #3
  4. C Witt

    MP Guest

    (initget [bits] [string])

    The functions that honor keywords are getint, getreal, getdist, getangle,
    getorient, getpoint, getcorner, getkword, entsel, nentsel, and nentselp. The
    getstring function is the only user-input function that does not honor
    keywords.

    same principle, use your entsel, trap the 'error', respond accordingly

     
    MP, Aug 12, 2004
    #4
  5. C Witt

    C Witt Guest

    arg.. new it was simple.
     
    C Witt, Aug 12, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.